<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lista de Frutas</title>
</head>
<body>
    <script>
        var frutas = window.prompt("Digite a sua lista de frutas");
        var fruta1 = frutas.trim().split(', ')
        var validacao = fruta1.find((arr) => {
            if (arr == 'banana'){
                document.write("Banana é umas das frutas!");
            }
        }) 
        var arrNovo = frutas.replace(/banana/, 'mamão').split(', ')
        var retorno = arrNovo.filter((arr) => arr !== "morango")
        document.write(`<div>${retorno}</div>`)     
    </script>
</body>
</html>